Get List Of Addresses Information (v1)¶
For segregated warm wallet, cold wallet and DeFi account wallet. For consolidation wallet, use coin_name to filter address of the particular token.
A V2 version of this endpoint is available with improved performance. We recommend V2 for all new integrations. Refer to Get List Of Addresses Information (v2).
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
b_id |
String | Business line ID |
wallet_code |
String | Wallet ID |
Query Parameters¶
| Field | Type | Description |
|---|---|---|
| coin_name Optional | String | Coin name Allowed Value: Refer to Coin Name (API) column in Supported Token |
| hide_no_coin_address Optional | String | If the response needs to hide address with zero balance Allowed values: true, false |
| key_word Optional | String | Description of the address |
| offset Optional | String | Query all results by default if left empty |
| limit Optional | String | Number of results per page. Maximum: 1000. Default: 1000 |
| sort_by_balance Optional | String | Allowed Value: DESC, ASC |
| min_balance Optional | Integer | Return addresses with balances equal or greater than it |
| max_balance Optional | Integer | Return addresses with balances equal or smaller than it |
| manage_wallet_address Optional | Boolean | Default is false
|
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | Data object (see data object for details below) |
data (object)
| Field | Type | Description |
|---|---|---|
| offset | Integer | Offset |
| limit | Integer | Limit |
| total | Integer | Total number of addresses |
| list | Object[] | List of all address details (see list object for details below) |
list (object)
| Field | Type | Description |
|---|---|---|
| domain_id | String | Enterprise ID |
| bid | String | Business line ID |
| wallet_code | String | Wallet ID |
| main_wallet_code | String | Main wallet ID |
| wallet_name | String | Wallet name |
| wallet_type | String | Wallet type Values : MIXED_ADDRESS or SEGREGATED_ADDRESS |
| wallet_address_type | String | Wallet address type |
| address | String | Address |
| chain | String | Chain name (e.g. ETH, BTC, SOLANA) |
| address_type | String | Address Type Values : NORMAL_ADDRESS or CONSOLIDATED_ADDRESS |
| address_storage | String | Address storage type Values : COLD or HOT |
| bch_address_format | String | BCH address format Values : CashAdd or Legacy |
| btc_address_type | String | BTC address type Values : Legacy or SegWit |
| coin_name | String | Asset name |
| description | String | Address description |
| available_amount | Decimal | Available asset amount (the smallest unit) |
| available_amount_str | String | Available asset amount in string format (the smallest unit) |
| freeze_amount | Decimal | Frozen asset amount (the smallest unit) |
| freeze_amount_str | String | Frozen asset amount in string format (the smallest unit) |
| total_amount | Decimal | Total asset amount (the smallest unit) |
| total_amount_str | String | Total asset amount in string format (the smallest unit) |
| confirm_ratio | String | Confirmation ratio |
| total_market_amount | Decimal | Total market value (in USD) |
| total_market_amount_str | String | Total market value in string format (in USD) |
| cny_total_market_amount | Decimal | Total market value (in CNY) |
| cny_total_market_amount_str | String | Total market value in string format (in CNY) |
| address_status | String | Address status |
| is_third_party_black_address | Boolean | Whether the address is flagged as a third-party blacklisted address |
Response Example¶
{
"code": 0,
"message": "",
"successful": true,
"data": {
"limit": 0,
"offset": 1,
"total": 1,
"list": [
{
"domain_id": "1e2fa188f5d44faca64c45485062e829",
"bid": "3116db4deffe47b1bddae27d94a06ac0",
"wallet_code": "CHSOL8133416732",
"main_wallet_code": "CHSOL8133416732",
"wallet_name": "",
"wallet_type": "MIXED_ADDRESS",
"wallet_address_type": null,
"address": "7kL2swVUyLVAFGR5qm4oWkSfXtnR43bnwVf5xsLHEBg6",
"chain": "SOLANA",
"address_type": "NORMAL_ADDRESS",
"address_storage": "HOT",
"bch_address_format": null,
"btc_address_type": null,
"coin_name": "SOL",
"description": "",
"available_amount": 0,
"available_amount_str": "0",
"freeze_amount": 0,
"freeze_amount_str": "0",
"total_amount": 0,
"total_amount_str": "0",
"confirm_ratio": null,
"total_market_amount": null,
"total_market_amount_str": null,
"cny_total_market_amount": null,
"cny_total_market_amount_str": null,
"address_status": null,
"is_third_party_black_address": false
}
]
}
}